Create a Template

Templates have a unique name only, and will be the default template when being created.

KeyDescription
VONAGE_APPLICATION_ID

The Vonage Application ID.

VONAGE_APPLICATION_PRIVATE_KEY_PATH

Private key path.

JWT

Used to authenticate your request. See Authentication for more information, including how to generate a JWT.

Write the code

Add the following to create-template.sh:

curl -X POST "https://api.nexmo.com/v2/verify/templates" \
  -H "Authorization: Bearer $JWT" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "my-template"
  }'

View full source

Run your code

Save this file to your machine and run it:

sh create-template.sh

Prerequisites

npm install @vonage/server-sdk

Create a file named create-template.js and add the following code:

const { Vonage } = require('@vonage/server-sdk');

const vonage = new Vonage ({
  applicationId: VONAGE_APPLICATION_ID,
  privateKey: VONAGE_APPLICATION_PRIVATE_KEY_PATH,
});

View full source

Write the code

Add the following to create-template.js:

vonage.verify2.createTemplate({name: 'my-custom-template'})
  .then((result) => console.log(result))
  .catch((error) => console.error(error));

View full source

Run your code

Save this file to your machine and run it:

node create-template.js

Prerequisites

Add the following to build.gradle:

implementation 'com.vonage:server-sdk-kotlin:2.1.1'

Create a file named CreateTemplate and add the following code to the main method:

val client = Vonage {
    applicationId(VONAGE_APPLICATION_ID)
    privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
}

View full source

Write the code

Add the following to the main method of the CreateTemplate file:

val template = client.verify.createTemplate(VERIFY_TEMPLATE_NAME)
println(template.id)

View full source

Run your code

We can use the application plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:

apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''

Run the following gradle command to execute your application, replacing com.vonage.quickstart.kt.verify.templates with the package containing CreateTemplate:

gradle run -Pmain=com.vonage.quickstart.kt.verify.templates.CreateTemplate

Prerequisites

Add the following to build.gradle:

implementation 'com.vonage:server-sdk:9.3.1'

Create a file named CreateTemplate and add the following code to the main method:

VonageClient client = VonageClient.builder()
		.applicationId(VONAGE_APPLICATION_ID)
		.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
		.build();

View full source

Write the code

Add the following to the main method of the CreateTemplate file:

var template = client.getVerify2Client().createTemplate(VERIFY_TEMPLATE_NAME);
System.out.println(template.getId());

View full source

Run your code

We can use the application plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:

apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''

Run the following gradle command to execute your application, replacing com.vonage.quickstart.verify2.templates with the package containing CreateTemplate:

gradle run -Pmain=com.vonage.quickstart.verify2.templates.CreateTemplate

Prerequisites

Install-Package Vonage

Create a file named CreateTemplateRequest.cs and add the following code:

var credentials = Credentials.FromAppIdAndPrivateKeyPath(VONAGE_APPLICATION_ID, VONAGE_APPLICATION_PRIVATE_KEY_PATH);
var client = new VonageClient(credentials);

View full source

Write the code

Add the following to CreateTemplateRequest.cs:

var request = Vonage.VerifyV2.CreateTemplate.CreateTemplateRequest.Build()
    .WithName("my-custom-template")
    .Create();
var response = await client.VerifyV2Client.CreateTemplateAsync(request);

View full source

Prerequisites

composer require vonage/client

Create a file named create-template.php and add the following code:

$client = new Vonage\Client(
    new Vonage\Client\Credentials\Keypair(VONAGE_APPLICATION_PRIVATE_KEY_PATH, VONAGE_APPLICATION_ID),
);

View full source

Write the code

Add the following to create-template.php:

$client->verify2()->createCustomTemplate('my-custom-template');

View full source

Run your code

Save this file to your machine and run it:

php create-template.php

Prerequisites

gem install vonage

Create a file named create-template.rb and add the following code:

client = Vonage::Client.new(
  application_id: VONAGE_APPLICATION_ID,
  private_key: VONAGE_PRIVATE_KEY
)

View full source

Write the code

Add the following to create-template.rb:

template = client.verify2.templates.create(name: 'my-template')

View full source

Run your code

Save this file to your machine and run it:

ruby create-template.rb